Skip to main content
POST
Spree SDK

Authorizations

x-spree-api-key
string
header
required

Publishable API key for store access

Authorization
string
header
required

JWT token for authenticated customers

Headers

x-spree-api-key
string
required
Authorization
string

Bearer token for authenticated customers

x-spree-token
string

Order token for guest access

Idempotency-Key
string

Unique key for request idempotency.

Path Parameters

cart_id
string
required

Cart prefixed ID (e.g., cart_abc123)

Body

application/json
payment_method_id
string
required
Example:

"pm_abc123"

amount
string<decimal>

Defaults to the order total minus store credits.

Pattern: ^-?\d+(\.\d+)?$
Example:

"99.99"

external_data
object

Provider-specific data passed to the gateway.

Response

201 - application/json

payment session created

id
string
required
status
required

The values listed are the built-in ones; extensions may add more.

Available options:
pending,
processing,
completed,
failed,
canceled,
expired
currency
enum<string>
required
Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
BWP,
BYN,
BYR,
BZD,
CAD,
CDF,
CHF,
CLF,
CLP,
CNY,
COP,
CRC,
CUC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EEK,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HRK,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LTL,
LVL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRO,
MRU,
MTL,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SKK,
SLE,
SLL,
SOS,
SRD,
SSP,
STD,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMM,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYI,
UYU,
UYW,
UZS,
VED,
VEF,
VES,
VND,
VUV,
WST,
XAF,
XCD,
XCG,
XOF,
XPF,
YER,
ZAR,
ZMK,
ZMW,
ZWD,
ZWG,
ZWL,
ZWN,
ZWR
external_id
string
required
external_data
object
required
customer_external_id
string | null
required
expires_at
string | null
required
amount
string | null
required
payment_method_id
string
required
order_id
string | null
required
cart_id
string | null
required
payment_method
object
required
payment
object